require "test/unit"
require "phi"
class TCAnimate < Test::Unit::TestCase
  def setup
    @form = Phi::Form.new
    @anim = Phi::Animate.new @form
  end

  def test_file_name
    @anim.file_name = File.dirname(__FILE__) + '/../../sample/ap.avi'
  end

  def test_play_from_eq_to
    @anim.common_avi = Phi::AVI_FIND_FOLDER
    @anim.play(1,1,1)
  end
  def test_play_from_gt_to
    @anim.common_avi = Phi::AVI_FIND_FOLDER
    @anim.play(2,1,1)
  end
  def test_play_omit_from_to
    @anim.common_avi = Phi::AVI_FIND_FOLDER
    @anim.play
  end
end
